#pragma once
#include "EntityState.h"
#include "CS_SantaFireballBlade.h"
extern const int CS_SantaSTATENAME_FIREBALL;
class CS_SantaFireball :
    public EntitySkillState
{
public:
    CS_SantaFireball();
    const wchar_t* GetSaveName() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
    std::list<std::weak_ptr<CS_SantaFireballBlade>> amList;
    int level = 0;
};

